var _medioOffers = [];
var _numOffers;
var _firstTemplateItem = null;
var _nextTemplateItem = null;
var _curentOfferIndex;
var _prefix = null;
var _elementToHide = null;
var _regionTemplateItem = null;
var _greenBorderTemplateItem = null;
var _regionName = "";

function showNextItems() {
	// We want to start showing something immediately, so we are willing to start
	// showing 1 record per request, then after 5 records we will switch to more efficient
	// mechanism querying 5 records per request.
    var NUM_ITEMS = _currentOfferIndex > 5 ? 5 : 1;
    //var result = window.MedioOffersFeed.getElementAsAssignments("medioOffer", i);
    for (var i = 0; i < NUM_ITEMS; i++) {
    	_medioOffers[_currentOfferIndex+i] = new Object();
    }
    var result = window.MedioOffersFeed.getElementsAsAssignments(
    		"_medioOffers", _currentOfferIndex, NUM_ITEMS);
    eval(result + "; ");
    for (i = 0; i < NUM_ITEMS && _currentOfferIndex < _numOffers; i++) {
        var medioOffer = _medioOffers[_currentOfferIndex];
        if (_regionName != medioOffer.getRegionName) {
            _regionName = medioOffer.getRegionName;
            var regionItem = $(_regionTemplateItem).clone();
            $(regionItem).children(".region-title-text").html(_regionName);
            if (window.jsRegionInfo != undefined && 
                    _regionName == window.jsRegionInfo.getCurrentRegionName()) {
                $(regionItem).children(".current-location-indicator").show();
            }
            $(regionItem).css("display", "block");
            $("#offerItemsContainer").append(regionItem);
        }
        var container;
        var greenBorder = null;
        if (_currentOfferIndex == 0 && _firstTemplateItem != null) {
        	greenBorder = $(_greenBorderTemplateItem).clone();
        	$("#offerItemsContainer").append(greenBorder);
        	$(greenBorder).css("display", "block");
            container = $(_firstTemplateItem).clone();
        }
        else {
            container = $(_nextTemplateItem).clone();
        }
        $(container).attr("id", "offer-item-container-" + _currentOfferIndex);
        $(container).css("display", "block");
        $("#offerItemsContainer").append(container);
        initOfferDetailsFor($("#offer-item-container-" + _currentOfferIndex),
        		medioOffer, null);
        if (greenBorder != null) {
        	greenBorder = $(greenBorder).clone();
        	$("#offerItemsContainer").append(greenBorder);
        }
        _medioOffers[_currentOfferIndex] = null;
        _currentOfferIndex++;
    }
    if (_currentOfferIndex < _numOffers) {
        setTimeout("showNextItems()", 10);
    }
    else {
    	$("#loading").css("display", "none");
    	window.jsOfferListener.onLoadingFinished();
    }
}
