var slideSwitchTipped = false;
var slideSwitchTouchedClass;
var slideSwitchUntouchedClass;
function initSlideSwitch(id, touchedClass, untouchedClass){
	slideSwitchTouchedClass = touchedClass;
	slideSwitchUntouchedClass = untouchedClass;
    var s = document.getElementById(id);
	s.addEventListener('touchstart', function(event){
        this.className = slideSwitchTouchedClass;		
	}, false);

    s.addEventListener('touchmove', function(event){
        event.preventDefault();
        var el = event.target;
        var touch = event.touches[0];
        // The 73 controls how much touch event must move before we animate slider button
        curX = touch.pageX - this.offsetLeft - 73;
        if (curX <= 0){
			return;
		}        
        if (curX > 200) {
            slideSwitchTipped = true;
            // This is how much we slide before we don't slide anymore
            if (curX > 210) {
                return;
            }
        }
        el.style.webkitTransform = 'translateX(' + curX + 'px)';
    }, false);
    
    s.addEventListener('touchend', function(event){
        this.className = slideSwitchUntouchedClass;
        this.style.webkitTransform = 'translateX(0px)';
        var a = window.MedioOfferActions;
        if (slideSwitchTipped && (a !== undefined)) {
            a.useNow();
        }
    }, false);
}
